{{ define "main" }}

  <noscript class="text-3xl">Please enable JavaScript to use search.</noscript>
  <main id="search-main" class="invisible">
    <form action="/search" method="GET" class="pb-5 flex flex-row">

        <button class="bg-gray-500 hover:bg-blue-700 text-white font-bold py-2 px-4 mr-10 rounded-full hover:ring-3"
                type="submit">
            Search
        </button>
        <input type="search"
               class="bg-gray-100 font-mono text-xl sm:w-full lg:w-1/2 rounded ring-2 p-3"
               name="q"
               id="search-query"
               placeholder="Type your query here." />
    </form>

    <div id="search-results"></div>
    <div id="search-loading" style="display:none">Loading&hellip;</div>

    <h2 class="text-2xl mt-32 mb-5">About this search</h2>

    <p class="prose lg:prose-lg prose-blue">
      Thanks to <a href="https://makewithhugo.com/add-search-to-a-hugo-site/">Make it with Hugo</a> for
      writing a blog post tutorial for adding search to a hugo website.
      Powered by <a href="https://fusejs.io/">Fuse.js</a> (fuzzy search) and <a href="https://markjs.io/">Mark.js</a> (easy highlighting).  jQuery free.
    </p>

    <script id="search-result-template" type="text/x-js-template">
        <a href="${link}" class="pt-3 not-italic search-summary text-gray-900" id="summary-${key}">
            <article >
          <h2 class="text-xl font-semibold">

                  ${title}
              </h2>
              <p class="text-lg">${snippet}</p>
            </article></a>
    </script>

    <script src="{{- (resources.Get "js/search.js").RelPermalink -}}"></script>

    <script src="{{- (resources.Get "js/fuse.min.js").RelPermalink -}}"></script>

    <script src="{{- (resources.Get "js/mark.min.js").RelPermalink -}}"></script>
</main>

{{ end }}
